### Method

# EDataServer SourceMailSignature get_file

since: 3.6

#### Declaration [src]

    GFile*
    e_source_mail_signature_get_file (
      ESourceMailSignature* extension
    )

#### Description [src]

Returns a `GFile` instance pointing to the signature file for `extension`. The signature file may be a regular file containing the static signature content, or it may be a symbolic link to an executable file that produces the signature content.

`e_source_mail_signature_load()` uses this to load the signature content.

Available since: 3.6

Gets property | `EDataServer.SourceMailSignature:file`

#### Return value

Type: `GFile`

A `GFile`.

The returned data is owned by the instance.